org.bouncycastle.asn1.pkcs

## Class RSASSAPSSparams

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.pkcs.RSASSAPSSparams

All Implemented Interfaces:
  DEREncodable

    public class RSASSAPSSparams
    extends ASN1Encodable

### Field Summary

Fields
`static AlgorithmIdentifier` `DEFAULT_HASH_ALGORITHM`
`static AlgorithmIdentifier` `DEFAULT_MASK_GEN_FUNCTION`
`static DERInteger` `DEFAULT_SALT_LENGTH`
`static DERInteger` `DEFAULT_TRAILER_FIELD`

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`RSASSAPSSparams()` The default version
`RSASSAPSSparams(AlgorithmIdentifier hashAlgorithm, AlgorithmIdentifier maskGenAlgorithm, DERInteger saltLength, DERInteger trailerField)`
`RSASSAPSSparams(ASN1Sequence seq)`

### Method Summary

Methods
`AlgorithmIdentifier` `getHashAlgorithm()`
`static RSASSAPSSparams` `getInstance(java.lang.Object obj)`
`AlgorithmIdentifier` `getMaskGenAlgorithm()`
`DERInteger` `getSaltLength()`
`DERInteger` `getTrailerField()`

`DERObject`

`toASN1Object()`
RSASSA-PSS-params ::= SEQUENCE { hashAlgorithm [0] OAEP-PSSDigestAlgorithms DEFAULT sha1, maskGenAlgorithm [1] PKCS1MGFAlgorithms DEFAULT mgf1SHA1, saltLength [2] INTEGER DEFAULT 20, trailerField [3] TrailerField DEFAULT trailerFieldBC } OAEP-PSSDigestAlgorithms ALGORITHM-IDENTIFIER ::= { { OID id-sha1 PARAMETERS NULL }| { OID id-sha256 PARAMETERS NULL }| { OID id-sha384 PARAMETERS NULL }| { OID id-sha512 PARAMETERS NULL }, ... -- Allows for future expansion -- } PKCS1MGFAlgorithms ALGORITHM-IDENTIFIER ::= { { OID id-mgf1 PARAMETERS OAEP-PSSDigestAlgorithms }, ... -- Allows for future expansion -- } TrailerField ::= INTEGER { trailerFieldBC(1) }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_HASH_ALGORITHM

    public static final AlgorithmIdentifier DEFAULT_HASH_ALGORITHM

#### DEFAULT_MASK_GEN_FUNCTION

    public static final AlgorithmIdentifier DEFAULT_MASK_GEN_FUNCTION

#### DEFAULT_SALT_LENGTH

    public static final DERInteger DEFAULT_SALT_LENGTH

#### DEFAULT_TRAILER_FIELD

    public static final DERInteger DEFAULT_TRAILER_FIELD

### Constructor Detail

#### RSASSAPSSparams

    public RSASSAPSSparams()

The default version

#### RSASSAPSSparams

    public RSASSAPSSparams(AlgorithmIdentifier hashAlgorithm,
                   AlgorithmIdentifier maskGenAlgorithm,
                   DERInteger saltLength,
                   DERInteger trailerField)

#### RSASSAPSSparams

    public RSASSAPSSparams(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static RSASSAPSSparams getInstance(java.lang.Object obj)

#### getHashAlgorithm

    public AlgorithmIdentifier getHashAlgorithm()

#### getMaskGenAlgorithm

    public AlgorithmIdentifier getMaskGenAlgorithm()

#### getSaltLength

    public DERInteger getSaltLength()

#### getTrailerField

    public DERInteger getTrailerField()

#### toASN1Object

    public DERObject toASN1Object()

     RSASSA-PSS-params ::= SEQUENCE {
       hashAlgorithm      [0] OAEP-PSSDigestAlgorithms  DEFAULT sha1,
        maskGenAlgorithm   [1] PKCS1MGFAlgorithms  DEFAULT mgf1SHA1,
        saltLength         [2] INTEGER  DEFAULT 20,
        trailerField       [3] TrailerField  DEFAULT trailerFieldBC
      }

     OAEP-PSSDigestAlgorithms    ALGORITHM-IDENTIFIER ::= {
        { OID id-sha1 PARAMETERS NULL   }|
        { OID id-sha256 PARAMETERS NULL }|
        { OID id-sha384 PARAMETERS NULL }|
        { OID id-sha512 PARAMETERS NULL },
        ...  -- Allows for future expansion --
     }

     PKCS1MGFAlgorithms    ALGORITHM-IDENTIFIER ::= {
       { OID id-mgf1 PARAMETERS OAEP-PSSDigestAlgorithms },
        ...  -- Allows for future expansion --
     }

     TrailerField ::= INTEGER { trailerFieldBC(1) }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  the asn1 primitive representing the parameters.